#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kdialog
Epoch:          2
Version: 25.03.90
Release:        %mkrel %{rel}
Summary:        KDialog can be used to show nice dialog boxes from shell scripts
Group:          Graphical desktop/KDE
License:        GPLv2
URL:            https://www.kde.org/
Source0:        https://download.kde.org/stable/release-service/%{version}/src/%name-%{version}.tar.xz

BuildRequires:  kf6-rpm-macros

BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6DBus)

BuildRequires:  cmake(KF6TextWidgets)
BuildRequires:  cmake(KF6Notifications)
BuildRequires:  cmake(KF6GuiAddons)
BuildRequires:  cmake(KF6IconThemes)
BuildRequires:  cmake(KF6WindowSystem)
BuildRequires:  cmake(KF6KIO)
BuildRequires:  cmake(KF6DBusAddons)

BuildRequires:  pkgconfig(x11)


%description
KDialog can be used to show nice dialog boxes from shell scripts.

%files -f %name.lang
%_kf6_bindir/kdialog
%_kf6_bindir/kdialog_progress_helper
%_kf6_datadir/dbus-1/interfaces/org.kde.kdialog.ProgressDialog.xml
%_kf6_applicationsdir/org.kde.kdialog.desktop
%_kf6_metainfodir/org.kde.kdialog.metainfo.xml

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf6

%cmake_build

%install
%cmake_install
%find_lang %name


%changelog
* Sat Mar 29 2025 daviddavid <daviddavid> 2:25.03.90-1.mga10
+ Revision: 2170772
- New version 25.03.90

* Thu Mar 13 2025 daviddavid <daviddavid> 2:24.12.3-1.mga10
+ Revision: 2163477
- New version 24.12.3

* Tue Feb 11 2025 daviddavid <daviddavid> 2:24.12.2-1.mga10
+ Revision: 2147143
- New version 24.12.2

* Thu Jan 09 2025 daviddavid <daviddavid> 2:24.12.1-1.mga10
+ Revision: 2136544
- New version 24.12.1

* Thu Dec 12 2024 daviddavid <daviddavid> 2:24.12.0-1.mga10
+ Revision: 2123784
- New version 24.12.0

* Sun Nov 17 2024 daviddavid <daviddavid> 2:24.11.80-1.mga10
+ Revision: 2116341
- New version 24.11.80

* Mon Nov 11 2024 daviddavid <daviddavid> 2:24.08.3-1.mga10
+ Revision: 2114033
- New version 24.08.3

* Sun Oct 13 2024 daviddavid <daviddavid> 2:24.08.2-1.mga10
+ Revision: 2105532
- New version 24.08.2

* Mon Sep 16 2024 daviddavid <daviddavid> 2:24.08.1-1.mga10
+ Revision: 2097389
- New version 24.08.1

* Thu Aug 22 2024 daviddavid <daviddavid> 2:24.08.0-1.mga10
+ Revision: 2087592
- New version 24.08.0

* Sat Aug 10 2024 daviddavid <daviddavid> 2:24.07.90-1.mga10
+ Revision: 2085089
- New version 24.07.90

* Fri Jun 14 2024 daviddavid <daviddavid> 2:24.05.1-1.mga10
+ Revision: 2073196
- New version 24.05.1

* Tue Jun 04 2024 neoclust <neoclust> 2:24.05.0-1.mga10
+ Revision: 2069819
- New version 24.05.0

* Thu Apr 18 2024 neoclust <neoclust> 2:24.02.2-1.mga10
+ Revision: 2058596
- New version 24.02.2

* Wed Feb 28 2024 neoclust <neoclust> 2:24.02.0-1.mga10
+ Revision: 2045141
- New version 24.02.0

* Tue Feb 06 2024 neoclust <neoclust> 2:24.01.95-1.mga10
+ Revision: 2037639
- New version 24.01.95

* Tue Jan 23 2024 neoclust <neoclust> 2:24.01.90-1.mga10
+ Revision: 2033766
- New version 24.01.90

* Mon Jan 01 2024 neoclust <neoclust> 2:24.01.85-1.mga10
+ Revision: 2025118
- New version 24.01.85

* Wed Nov 22 2023 neoclust <neoclust> 2:24.01.75-1.mga10
+ Revision: 2009047
- New version 24.01.75

* Sat Sep 23 2023 neoclust <neoclust> 2:23.08.1-1.mga10
+ Revision: 1989588
- New version 23.08.1

* Sun May 28 2023 neoclust <neoclust> 2:23.04.1-1.mga9
+ Revision: 1959425
- New version 23.04.1

* Thu Mar 02 2023 neoclust <neoclust> 2:22.12.3-1.mga9
+ Revision: 1946477
- New version 22.12.3

* Tue Feb 14 2023 neoclust <neoclust> 2:22.12.2-1.mga9
+ Revision: 1941770
- New version 22.12.2

* Thu Dec 15 2022 neoclust <neoclust> 2:22.12.0-1.mga9
+ Revision: 1922890
- New version 22.12.0

* Sat Nov 26 2022 neoclust <neoclust> 2:22.11.90-1.mga9
+ Revision: 1911385
- New version 22.11.90

* Thu Nov 10 2022 neoclust <neoclust> 2:22.08.3-1.mga9
+ Revision: 1905237
- New version 22.08.3

* Sun Sep 11 2022 neoclust <neoclust> 2:22.08.1-1.mga9
+ Revision: 1886757
- New version 22.08.1

* Fri Aug 26 2022 neoclust <neoclust> 2:22.08.0-1.mga9
+ Revision: 1880743
- New version 22.08.0

* Sat Jul 30 2022 neoclust <neoclust> 2:22.04.3-1.mga9
+ Revision: 1873053
- New version 22.04.3

* Tue Apr 26 2022 neoclust <neoclust> 2:22.04.0-1.mga9
+ Revision: 1853946
- New version 22.04.0

* Thu Apr 14 2022 neoclust <neoclust> 2:22.03.90-1.mga9
+ Revision: 1849452
- New version 22.03.90

* Wed Apr 06 2022 umeabot <umeabot> 2:21.12.0-2.mga9
+ Revision: 1846070
- Mageia 9 Mass Rebuild

* Sun Dec 26 2021 neoclust <neoclust> 2:21.12.0-1.mga9
+ Revision: 1763835
- New version 21.12.0
- New version 21.11.90

* Sat May 15 2021 neoclust <neoclust> 2:21.04.1-1.mga9
+ Revision: 1724045
- New version 21.04.1

* Fri Apr 23 2021 neoclust <neoclust> 2:21.04.0-1.mga9
+ Revision: 1718332
- New version 21.04.0

* Fri Mar 05 2021 neoclust <neoclust> 2:20.12.3-2.mga9
+ Revision: 1699168
- New version 20.12.3

* Sun Feb 28 2021 neoclust <neoclust> 2:20.12.2-1.mga9
+ Revision: 1694062
- New version 20.12.2

* Fri Dec 11 2020 neoclust <neoclust> 2:20.12.0-1.mga8
+ Revision: 1655591
- New version 20.12.0

* Mon Nov 09 2020 neoclust <neoclust> 2:20.08.3-1.mga8
+ Revision: 1643977
- New version 20.08.3

* Mon Oct 12 2020 neoclust <neoclust> 2:20.08.2-1.mga8
+ Revision: 1633792
- New version 20.08.2

* Wed Sep 16 2020 neoclust <neoclust> 2:20.08.1-1.mga8
+ Revision: 1627035
- New version 20.08.1

* Tue Aug 18 2020 neoclust <neoclust> 2:20.08.0-1.mga8
+ Revision: 1614903
- New version 20.08.0

* Fri Jul 10 2020 neoclust <neoclust> 2:20.04.3-1.mga8
+ Revision: 1604101
- New version 20.04.3

* Fri Jun 19 2020 neoclust <neoclust> 2:20.04.2-1.mga8
+ Revision: 1596834
- New version 20.04.2

* Mon May 18 2020 neoclust <neoclust> 2:20.04.1-1.mga8
+ Revision: 1585778
- New version 20.04.1

* Fri Apr 17 2020 neoclust <neoclust> 2:20.04.0-1.mga8
+ Revision: 1568115
- New version 20.04.0

* Tue Mar 24 2020 neoclust <neoclust> 2:19.12.3-1.mga8
+ Revision: 1559304
- New version 19.12.3

* Tue Feb 18 2020 umeabot <umeabot> 2:19.12.2-2.mga8
+ Revision: 1540898
- Mageia 8 Mass Rebuild

* Thu Feb 13 2020 neoclust <neoclust> 2:19.12.2-1.mga8
+ Revision: 1513274
- New version 19.12.2
+ wally <wally>
- build with new cmake macros

* Sat Dec 14 2019 neoclust <neoclust> 2:19.12.0-1.mga8
+ Revision: 1466923
- New version 19.12.0
- New version 19.11.90

* Tue Nov 05 2019 neoclust <neoclust> 2:19.08.3-1.mga8
+ Revision: 1457878
- New version 19.08.3

* Sat Sep 28 2019 neoclust <neoclust> 2:19.08.1-1.mga8
+ Revision: 1447790
- New version 19.08.1

* Mon Jul 29 2019 neoclust <neoclust> 2:19.04.3-1.mga8
+ Revision: 1424973
- New version 19.04.3

* Mon Apr 15 2019 neoclust <neoclust> 2:19.04.0-1.mga7
+ Revision: 1390428
- New version 19.04.0
- New version 19.04.00

* Tue Apr 09 2019 neoclust <neoclust> 2:19.03.90-1.mga7
+ Revision: 1387632
- New version 19.03.90

* Sat Mar 30 2019 umeabot <umeabot> 2:18.12.3-2.mga7
+ Revision: 1382315
- Qt5 Rebuild

* Wed Mar 13 2019 neoclust <neoclust> 2:18.12.3-1.mga7
+ Revision: 1375572
- New version 18.12.3

* Tue Feb 12 2019 neoclust <neoclust> 2:18.12.2-1.mga7
+ Revision: 1365547
- New version 18.12.2

* Mon Jan 14 2019 neoclust <neoclust> 2:18.12.1-1.mga7
+ Revision: 1356486
- New version 18.12.1

* Mon Dec 10 2018 neoclust <neoclust> 2:18.12.0-1.mga7
+ Revision: 1339495
- New version 18.12.0

* Wed Nov 21 2018 neoclust <neoclust> 2:18.08.3-1.mga7
+ Revision: 1332726
- New version 18.08.3

* Thu Nov 01 2018 neoclust <neoclust> 2:18.08.2-1.mga7
+ Revision: 1327380
- New version 18.08.2

* Sun Sep 23 2018 umeabot <umeabot> 2:18.04.1-2.mga7
+ Revision: 1298509
- Mageia 7 Mass Rebuild

* Sun May 13 2018 neoclust <neoclust> 2:18.04.1-1.mga7
+ Revision: 1228945
- New version 18.04.1

* Fri Feb 16 2018 neoclust <neoclust> 2:17.12.2-1.mga7
+ Revision: 1201876
- New version 17.12.2

* Sat Jan 20 2018 neoclust <neoclust> 2:17.12.1-1.mga7
+ Revision: 1194898
- New version 17.12.1

* Thu Dec 28 2017 neoclust <neoclust> 2:17.12.0-1.mga7
+ Revision: 1186436
- New version 17.12.0

* Tue Aug 22 2017 neoclust <neoclust> 2:17.08.0-1.mga7
+ Revision: 1143021
- New version 17.08.0

* Sat Aug 05 2017 neoclust <neoclust> 2:17.07.90-1.mga7
+ Revision: 1136759
- New version 17.07.90

* Fri Jul 28 2017 neoclust <neoclust> 2:17.04.3-2.mga7
+ Revision: 1131645
- Rebuild now that BS is fixed
- New version 17.04.3

* Mon Mar 27 2017 neoclust <neoclust> 2:16.12.3-2.mga6
+ Revision: 1094992
- Add 17.04 patches fixing upstream bugs

* Wed Mar 08 2017 neoclust <neoclust> 2:16.12.3-1.mga6
+ Revision: 1090055
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 2:16.12.0-1.mga6
+ Revision: 1076791
- New version 16.12.0

* Tue Dec 13 2016 neoclust <neoclust> 2:16.11.90-1.mga6
+ Revision: 1074472
- imported package kdialog

